| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
cat_tools.hpp File Reference
Private

set of routines used by catalogue related classes More...

`#include "../my_config.h"`
`#include <string>`
`#include "cat_inode.hpp"`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Macros
#define | REMOVE_TAG gettext("[--- REMOVED ENTRY ----]")
#define | SAVED_FAKE_BIT 0x80

## Functions
std::string | libdar::local_perm (const cat_inode &ref, bool hard)
std::string | libdar::local_uid (const cat_inode &ref)
std::string | libdar::local_gid (const cat_inode &ref)
std::string | libdar::local_size (const cat_inode &ref, bool sizes_in_bytes)
std::string | libdar::local_storage_size (const cat_inode &ref)
std::string | libdar::local_date (const cat_inode &ref)
std::string | libdar::local_flag (const cat_inode &ref, bool isolated, bool dirty_seq)
void | libdar::xml_listing_attributes (user_interaction &dialog, const std::string &beginning, const std::string &data, const std::string &metadata, const cat_entree *obj=nullptr, bool list_ea=false)
bool | libdar::extract_base_and_status (unsigned char signature, unsigned char &base, saved_status &saved)
void | libdar::local_display_ea (user_interaction &dialog, const cat_inode *ino, const std::string &prefix, const std::string &suffix, bool xml_output=false)
unsigned char | libdar::mk_signature (unsigned char base, saved_status state)
void | libdar::unmk_signature (unsigned char sig, unsigned char &base, saved_status &state, bool isolated)
bool | libdar::compatible_signature (unsigned char a, unsigned char b)
unsigned char | libdar::get_base_signature (unsigned char a)
std::string | libdar::entree_to_string (const cat_entree *obj)

## Detailed Description

set of routines used by catalogue related classes

Definition in file cat_tools.hpp.